Browse Source

Update requirements for wallaby release

Updates requirements to what we're using now and revises the
lower-constraints file to contain only direct dependencies.

Change-Id: I1a3cc999b94dc6b6482b1ca44218b42ee2638a8c
changes/75/779875/2
Brian Rosmaita 6 months ago
parent
commit
a933a69e87
  1. 2
      doc/requirements.txt
  2. 62
      lower-constraints.txt
  3. 8
      requirements.txt
  4. 16
      test-requirements.txt

2
doc/requirements.txt

@ -3,5 +3,5 @@
# process, which may cause wedges in the gate later.
# These are needed for docs generation
openstackdocstheme>=2.2.1 # Apache-2.0
reno>=3.1.0 # Apache-2.0
reno>=3.2.0 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD

62
lower-constraints.txt

@ -1,63 +1,19 @@
asn1crypto==0.23.0
attrs==20.3.0
certifi==2020.6.20
cffi==1.14.2
chardet==3.0.4
cliff==3.4.0
cmd2==1.3.8
colorama==0.4.4
coverage==5.2.1
cryptography==3.1
coverage==5.5
ddt==1.4.1
debtcollector==2.2.0
doc8==0.8.1
docutils==0.15.2
dulwich==0.20.6
extras==1.0.0
fasteners==0.14.1
docutils==0.16
fixtures==3.0.0
future==0.18.2
idna==2.10
iso8601==0.1.12
jsonschema==3.2.0
keystoneauth1==4.2.1
linecache2==1.0.0
mccabe==0.6.0
monotonic==0.6
msgpack-python==0.4.0
netaddr==0.8.0
netifaces==0.10.9
oslo.concurrency==4.3.0
oslo.config==8.3.2
oslo.context==3.1.1
keystoneauth1==4.3.1
oslo.i18n==5.0.1
oslo.log==4.4.0
oslo.serialization==4.0.1
oslo.utils==4.7.0
paramiko==2.7.2
oslo.serialization==4.1.0
oslo.utils==4.8.0
pbr==5.5.0
prettytable==0.7.2
pyasn1==0.4.8
pycparser==2.20
pyinotify==0.9.6
pyparsing==2.4.7
pyperclip==1.8.0
python-dateutil==2.8.1
python-mimeparse==1.6.0
python-subunit==1.4.0
pytz==2020.1
PyYAML==5.3.1
PrettyTable==0.7.2
reno==3.2.0
requests==2.25.1
requests-mock==1.2.0
requests==2.23.0
rfc3986==1.4.0
simplejson==3.5.1
stestr==3.0.1
stevedore==3.2.2
stestr==3.1.0
stevedore==3.3.0
tempest==26.0.0
testrepository==0.0.18
testtools==2.4.0
traceback2==1.4.0
unittest2==1.1.0
urllib3==1.25.10
wrapt==1.12.1

8
requirements.txt

@ -3,9 +3,9 @@
# process, which may cause wedges in the gate later.
pbr>=5.5.0 # Apache-2.0
PrettyTable>=0.7.2 # BSD
keystoneauth1>=4.2.1 # Apache-2.0
keystoneauth1>=4.3.1 # Apache-2.0
simplejson>=3.5.1 # MIT
oslo.i18n>=5.0.1 # Apache-2.0
oslo.utils>=4.7.0 # Apache-2.0
requests>=2.23.0 # Apache-2.0
stevedore>=3.2.2 # Apache-2.0
oslo.utils>=4.8.0 # Apache-2.0
requests>=2.25.1 # Apache-2.0
stevedore>=3.3.0 # Apache-2.0

16
test-requirements.txt

@ -5,21 +5,13 @@
hacking>=4.0.0,<4.1.0 # Apache-2.0
flake8-import-order # LGPLv3
docutils>=0.15.2
coverage>=5.2.1 # Apache-2.0
docutils>=0.16
coverage>=5.5 # Apache-2.0
ddt>=1.4.1 # MIT
fixtures>=3.0.0 # Apache-2.0/BSD
reno>=3.2.0 # Apache-2.0
requests-mock>=1.2.0 # Apache-2.0
tempest>=26.0.0 # Apache-2.0
testtools>=2.4.0 # MIT
stestr>=3.0.1 # Apache-2.0
oslo.serialization>=4.0.1 # Apache-2.0
stestr>=3.1.0 # Apache-2.0
oslo.serialization>=4.1.0 # Apache-2.0
doc8>=0.8.1 # Apache-2.0
#
# These are here to enable the resolver to work faster.
# They are not directly used by python-cinderclient.
debtcollector>=2.2.0
dulwich>=0.20.6
mccabe>=0.6.0
Loading…
Cancel
Save